Bug 12980 - GetHistory does useless processing
Summary: GetHistory does useless processing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 12826
  Show dependency treegraph
 
Reported: 2014-09-23 11:04 UTC by Jonathan Druart
Modified: 2016-06-21 21:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12980: GetHistory does useless processing (4.96 KB, patch)
2014-09-23 11:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12980: GetHistory does useless processing (5.15 KB, patch)
2014-09-26 14:51 UTC, Paola Rossi
Details | Diff | Splinter Review
[PASSED QA] Bug 12980: GetHistory does useless processing (5.09 KB, patch)
2014-10-03 13:55 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-09-23 11:04:51 UTC
GetHistory iterated on the orders to calculate the quantity and price.
These values are never used by the called.
It can be removed.
Comment 1 Jonathan Druart 2014-09-23 11:10:03 UTC Comment hidden (obsolete)
Comment 2 Paola Rossi 2014-09-26 14:51:57 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-10-03 13:55:41 UTC
Created attachment 31984 [details] [review]
[PASSED QA] Bug 12980: GetHistory does useless processing

GetHistory iterated on the orders to calculate the quantity and price.
These values are never used by the called.
It can be removed.

Test plan:
Verify there is no regression on acqui/histsearch.pl and
catalogue/detail.pl
Actually you just have to check that the total quantity and price are
not displayed on these views.

QA: note that 'count' and 'toggle' are never used in the template.

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2014-12-03 14:54:07 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Chris Cormack 2014-12-03 20:03:16 UTC
Pushed to 3.18.x will be in 3.18.01